/**************************/
/* ボタン */
/**************************/

/*----------ボタン共通----------*/
.btn {
    display: inline-block;

    box-sizing: border-box;
    padding: 8px 16px;
    border: none;
    border-radius: 6px;

    color: white;
    font-size: 14px;
    font-weight: bold;
    line-height: 1;
    text-decoration: none;

    cursor: pointer;
    transition: background-color 0.2s ease-in-out;
}

/*----------検索ボタン----------*/
.btn-search {
    background-color: #2563eb;
}

.btn-search:hover {
    background-color: #1d4ed8;
}

/*----------登録ボタン----------*/
.btn-create {
    background-color: #16A34A;
}

.btn-create:hover {
    background-color: #15803D;
}

/*----------編集ボタン----------*/
.btn-edit {
    background-color: #F59E0B;
}

.btn-edit:hover {
    background-color: #D97706;
}

/*----------削除ボタン----------*/
.btn-delete {
    background-color: #DC2626;
}
.btn-delete:hover {
    background-color: #B91C1C;
}

/*----------グレー系ボタン（戻る・ログアウト・検索条件クリア等）----------*/
.btn-back,
.btn-logout,
.btn-clear {
    background-color: #6B7280;
}

.btn-back:hover,
.btn-logout:hover,
.btn-clear:hover {
    background-color: #4B5563;
}
